# memset_memstore_info – Retrieve Memstore product usage information

New in version 2.8.

- Synopsis
- Parameters
- Notes
- Examples
- Return Values
- Status

## Synopsis

- Retrieve Memstore product usage information.
- This module was called `memset_memstore_facts` before Ansible 2.9. The usage did not change.

Aliases: memset_memstore_facts

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
api_key - / required |  | The API key obtained from the Memset control panel.
name - / required |  | The Memstore product name (i.e. `mstestyaa1`).

## Notes

Note

- An API key generated via the Memset customer control panel is needed with the following minimum scope - memstore.usage.

## Examples

    - name: get usage for mstestyaa1
      memset_memstore_info:
        name: mstestyaa1
        api_key: 5eb86c9896ab03919abcf03857163741
      delegate_to: localhost

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
memset_api complex | always | Info from the Memset API
| bandwidth complex | always | Dictionary of CDN bandwidth facts
|  | bytes_in integer | always | Inbound bandwidth for the last 24 hours in bytes Sample: 1000
|  | bytes_out integer | always | Outbound bandwidth for the last 24 hours in bytes Sample: 1000
|  | requests integer | always | Number of requests in the last 24 hours Sample: 10
| bytes integer | always | Space used in bytes Sample: 3860997965
| cdn_bandwidth complex | always | Dictionary of CDN bandwidth facts
|  | bytes_in integer | always | Inbound CDN bandwidth for the last 24 hours in bytes Sample: 1000
|  | bytes_out integer | always | Outbound CDN bandwidth for the last 24 hours in bytes Sample: 1000
|  | requests integer | always | Number of requests in the last 24 hours Sample: 10
| containers integer | always | Number of containers Sample: 10
| objs integer | always | Number of objects Sample: 1000

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]
- This module is maintained by the Ansible Community. [community]

### Authors

- Simon Weald (@glitchcrab)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.